
Redmine - Defect #16711

Non-ascii attachment file name get corrupted in IE11 

2014-04-17 15:44 - Go MAEDA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Attachments Estimated time: 0.00 hour

Target version: 2.4.6   

Resolution: Fixed Affected version:  

Description

To avoid non-ascii file name corruption in Internet Explorer 11, filename_for_content_disposition method in ApplicationController

should search not only "MSIE" but also "Trident" because There is no "MSIE" in IE11's user-agent string.

<=IE10:

Mozilla/5.0 (compatible; MSIE 10.0; Windows NT 6.1; WOW64; Trident/6.0)

IE11 (gives false name):

Mozilla/5.0 (Windows NT 6.3; Trident/7.0; rv:11.0) like Gecko

Related issues:

Related to Redmine - Defect #21656: Fix Non ASCII attachment filename encodin... Closed

Associated revisions

Revision 13101 - 2014-04-17 20:21 - Toshi MARUYAMA

fix non-ascii attachment file name get corrupted in IE11 (#16711)

Contributed by Go MAEDA.

Revision 13102 - 2014-04-17 21:36 - Toshi MARUYAMA

Merged r13101 from trunk to 2.5-stable (#16711)

fix non-ascii attachment file name get corrupted in IE11.

Contributed by Go MAEDA.

Revision 13103 - 2014-04-17 21:38 - Toshi MARUYAMA

Merged r13101 from trunk to 2.4-stable (#16711)

fix non-ascii attachment file name get corrupted in IE11.

Contributed by Go MAEDA.

History

#1 - 2014-04-17 18:51 - Toshi MARUYAMA

- Category set to Attachments

- Target version set to 2.4.6

#2 - 2014-04-17 19:56 - Toshi MARUYAMA

http://msdn.microsoft.com/en-us/library/ie/bg182625(v=vs.85).aspx#uaString

The compatible ("compatible") and browser ("MSIE") tokens have been removed.

#3 - 2014-04-17 20:10 - Toshi MARUYAMA

- File ie11.png added

- File 日本語.txt added
http://msdn.microsoft.com/en-us/library/ie/bg182625(v=vs.85).aspx#uaString


- Status changed from New to Confirmed

 ie11.png 

#4 - 2014-04-18 05:50 - Toshi MARUYAMA

- Status changed from Confirmed to Closed

- Resolution set to Fixed

Committed, thanks.

#5 - 2016-01-07 06:14 - Go MAEDA

- Related to Defect #21656: Fix Non ASCII attachment filename encoding broken (MOJIBAKE) in Microsoft  Edge Explorer added

Files

IE11_non_ascii_file_name_corruption_fix.diff 603 Bytes 2014-04-17 Go MAEDA

日本語.txt 11 Bytes 2014-04-17 Toshi MARUYAMA

ie11.png 15.8 KB 2014-04-17 Toshi MARUYAMA
